APIMCPs

List MCPs

List all MCPs in the organization. Tools carry only name and upstream; read one MCP for full tool descriptions and input schemas.

GET
/mcps

List all MCPs in the organization. Tools carry only name and upstream; read one MCP for full tool descriptions and input schemas.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_mcps

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/mcps'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "origin": "catalog",      "kind": "builtin",      "display_name": "string",      "server_url": "http://example.com",      "gateway_url": "http://example.com",      "config": {        "catalog_slug": "string",        "mode": "embedded",        "byo_client_id": "string",        "token_endpoint_auth_method": "client_secret_basic",        "user_authorization": "interactive",        "id_jag": {          "client": {            "client_id": "string",            "token_endpoint_auth_method": "client_secret_basic"          }        }      },      "connection_lifetime": {        "max_age_seconds": 1,        "idle_timeout_seconds": 1      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "available_tools": [        {          "name": "string",          "upstream_id": "string",          "upstream_name": "string"        }      ]    }  ]}